> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-platform/_mcp/server.

# List all workspaces

GET https://host.com/apis/entities/v2/workspaces

List all workspaces with pagination.

When authentication is enabled, only workspaces the principal has access to
are returned. Service principals and platform admins have access to all workspaces.

Query Parameters:
- page, page_size: Pagination
- sort: Sort field
- filter: Advanced filters (JSON, text, or bracket notation)

Example:
```
GET /apis/entities/v2/workspaces?sort=-created_at&page=1&page_size=10
```

Reference: https://docs.nvidia.com/nemo-platform/nemo-platform/documentation/reference/api-reference/entity-store/list-workspaces-apis-entities-v-2-workspaces-get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/entities/v2/workspaces:
    get:
      operationId: list-workspaces-apis-entities-v-2-workspaces-get
      summary: List all workspaces
      description: >-
        List all workspaces with pagination.


        When authentication is enabled, only workspaces the principal has access
        to

        are returned. Service principals and platform admins have access to all
        workspaces.


        Query Parameters:

        - page, page_size: Pagination

        - sort: Sort field

        - filter: Advanced filters (JSON, text, or bracket notation)


        Example:

        ```

        GET /apis/entities/v2/workspaces?sort=-created_at&page=1&page_size=10

        ```
      tags:
        - subpackage_entityStore
      parameters:
        - name: page
          in: query
          description: Page number
          required: false
          schema:
            type: integer
            default: 1
        - name: page_size
          in: query
          description: Items per page
          required: false
          schema:
            type: integer
            default: 100
        - name: sort
          in: query
          description: Sort field
          required: false
          schema:
            $ref: '#/components/schemas/GenericSortField'
            default: '-created_at'
        - name: filter
          in: query
          description: >-
            Query filter expression. Supports text and JSON syntaxes:

            - Text: name:"value" AND status>500 with operators : ~ > >= < <= IN
            NOT IN AND OR and negation prefix -

            - Object (JSON): {"name":{"$like":"value"}} with operators $eq,
            $like, $lt, $lte, $gt, $gte, $in, $nin, $and, $or, $not

            - Bracket notation: ?filter[name][$like]=value

            - Relationship traversal: ?filter[relationship][$exists]=true or
            ?filter[relationship][field]=value
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspacesPage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    GenericSortField:
      type: string
      enum:
        - created_at
        - '-created_at'
        - name
        - '-name'
      title: GenericSortField
    Workspace:
      type: object
      properties:
        id:
          type: string
          description: System-generated UUID
        name:
          type: string
          description: Workspace name (user-provided)
        description:
          type: string
          description: Optional description
        created_at:
          type: string
          format: date-time
          description: Timestamp of workspace creation
        created_by:
          type: string
          description: Principal id for workspace creator
        updated_at:
          type: string
          format: date-time
          description: Timestamp of last workspace update
        updated_by:
          type: string
          description: Principal id for last workspace update
      required:
        - id
        - name
        - created_at
        - updated_at
      description: Workspace schema for API responses.
      title: Workspace
    PaginationData:
      type: object
      properties:
        page:
          type: integer
          description: The current page number.
        page_size:
          type: integer
          description: The page size used for the query.
        current_page_size:
          type: integer
          description: The size for the current page.
        total_pages:
          type: integer
          description: The total number of pages.
        total_results:
          type: integer
          description: The total number of results.
      required:
        - page
        - page_size
        - current_page_size
        - total_pages
        - total_results
      title: PaginationData
    WorkspacesPage:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Workspace'
        pagination:
          $ref: '#/components/schemas/PaginationData'
          description: Pagination information.
        sort:
          type: string
          description: The field on which the results are sorted.
        filter:
          type: object
          additionalProperties:
            description: Any type
          description: Filtering information.
      required:
        - data
      title: WorkspacesPage
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          type: object
          additionalProperties:
            description: Any type
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "data": [
    {
      "id": "a3f1c9e2-7b4d-4f8a-9d2e-5b6c7d8e9f01",
      "name": "Marketing Team Workspace",
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-02-10T14:45:00Z",
      "description": "Workspace for all marketing projects and campaigns",
      "created_by": "user-12345",
      "updated_by": "user-67890"
    }
  ],
  "pagination": {
    "page": 1,
    "page_size": 10,
    "current_page_size": 1,
    "total_pages": 1,
    "total_results": 1
  },
  "sort": "-created_at",
  "filter": {}
}
```

**SDK Code**

```python
import requests

url = "https://host.com/apis/entities/v2/workspaces"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/entities/v2/workspaces';
const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/entities/v2/workspaces"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/entities/v2/workspaces")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://host.com/apis/entities/v2/workspaces")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://host.com/apis/entities/v2/workspaces', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/entities/v2/workspaces");
var request = new RestRequest(Method.GET);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/entities/v2/workspaces")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```